org.apache.xerces.impl.dtd

## Interface XMLContentSpec.Provider

- Enclosing class:
    XMLContentSpec

      public static interface XMLContentSpec.Provider

  Provides a means for walking the structure built out of content spec "nodes". The user of this provider interface is responsible for knowing what the content spec node values "mean". If those values refer to content spec identifiers, then the user can call back into the provider to get the next content spec node in the structure.

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getContentSpec(int contentSpecIndex, XMLContentSpec contentSpec)` Fills in the provided content spec structure with content spec information for a unique identifier.

- - ### Method Detail

    - #### getContentSpec

          boolean getContentSpec(int contentSpecIndex,
                                 XMLContentSpec contentSpec)

      Fills in the provided content spec structure with content spec information for a unique identifier.
      Parameters:
        `contentSpecIndex` - The content spec identifier. All content spec "nodes" have a unique identifier.
        `contentSpec` - The content spec struct to fill in with the information.
      Returns:
        Returns true if the contentSpecIndex was found.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.